<?php

namespace App\ViewModels\Loja\LojaProdutoRegistartionViewModel;

use App\Utils\Entity;

class LojaProdutoRegistrationViewModel extends Entity {
	// protected $id;
	protected $id_loja;
	protected $id_produto;
	protected $id_status;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	// protected $alterado_por;
	protected $data_alteracao;
	protected $hora_alteracao;

	public static function builder(): LojaProdutoRegistrationViewModelBuilder {

		return new LojaProdutoRegistrationViewModelBuilder();

	}
	/**
	 * @return mixed
	 */
	public function getIdLoja() {

		return $this->id_loja;
	}


	/**
	 * @return mixed
	 */
	public function getIdProduto() {

		return $this->id_produto;
	}


	/**
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;
	}


	/**
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getDataAlteracao() {

		return $this->data_alteracao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAlteracao() {

		return $this->hora_alteracao;
	}


	/**
	 * @param mixed $id_loja
	 */
	public function setIdLoja($id_loja) {

		$this->id_loja = $id_loja;
	}


	/**
	 * @param mixed $id_produto
	 */
	public function setIdProduto($id_produto) {

		$this->id_produto = $id_produto;
	}


	/**
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
	}


	/**
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao) {

		$this->data_alteracao = $data_alteracao;
	}


	/**
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao) {

		$this->hora_alteracao = $hora_alteracao;
	}



}

